Subject: Automake Bug
From: "Humphrey (US), Colten L" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 25 Jun 2020 19:29:23 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I am attempting to build a project using autotools; however, I keep getting this error. My project builds just fine on an iHAwk PC using the same version of the autotools. I am trying to build it in a RHEL virtual machine though, and it won't work.

Base on my reading this bug may actually be coming out of autoconf. I am hoping you can point in the correct direction on how to resolve these issues.

Trace:

$ automake

Use of uninitialized value $msg in concatenation (.) or string at /usr/bin/autom4te line 1027.

Use of uninitialized value $stacktrace in pattern match (m//) at /usr/bin/autom4te line 1027.

unknown channel gure.ac:165: -1- AC_SUBST(LIBOBJS, $ac_libobjs)

E(LIBOBJS)

m4trace:confi at /usr/share/autoconf/Autom4te/Channels.pm line 638.

                Autom4te::Channels::msg('gure.ac:165: -1- AC_SUBST(LIBOBJS, $ac_libobjs)\x{a}E(LIBOBJS)\x{a}m4...', undef, 'warning: ', 'partial', 0) called at /usr/bin/autom4te line 1027

automake: error: autoconf failed with exit status: 1

Thank you,

Colten Humphrey